      SUBROUTINE PCREAD(NATOMS)
      IMPLICIT DOUBLE PRECISION (A-H, O-Z)
      INCLUDE 'SIZES'

      COMMON /EXTPC / IPCUSE,NPC,PCX(4,10000),NATPC(10000)
      COMMON /MMCHG / CHGMM(NUMATM)
      COMMON /MMCORR/ MMSUB
      CHARACTER KEYWRD*241
      COMMON /KEYWRD/ KEYWRD

      LOGICAL EX

      IPCUSE = 0
      NPC = 0
      DO 10 I = 1,NATOMS
         CHGMM(I) = 0.D+00
   10    CONTINUE

      IPCUSE = INDEX(KEYWRD,'EPC')
      IF ( IPCUSE.EQ.0 ) RETURN

      INQUIRE(FILE="MOPAC.PC",EXIST=EX)
      IF ( .NOT.EX ) THEN
         IPCUSE = 0
         RETURN
      ENDIF

      OPEN(UNIT=13,FILE="MOPAC.PC",FORM="FORMATTED")
      REWIND 13

      WRITE(6,601)
  601 FORMAT(/,
     1 ' READING POINT CHARGE DEFINITIONS FROM FILE MOPAC.PC',/)

      READ(13,*,END=900) NPC
      IF ( NPC.LT.0 ) THEN
         MMSUB = 1
         NPC = -NPC
      ELSE
         MMSUB = 0
      ENDIF
      IF ( NPC.GT.10000 ) GOTO 910

      DO 100 I = 1,NPC
         READ(13,*,END=920) NATPC(I),(PCX(J,I),J=1,4)
  100    CONTINUE

      IF ( MMSUB.EQ.1 ) THEN
         READ(13,*,END=290) NCHECK
         IF ( NCHECK.NE.NATOMS ) GOTO 930
         DO 200 I = 1,NATOMS
            READ(13,*,END=920) CHGMM(I)
  200       CONTINUE
  290    CONTINUE
      ENDIF

      CLOSE(13)

      WRITE(6,600)
  600 FORMAT(/,' *** EXTERNAL POINT CHARGES WILL BE INCLUDED ***',/)

      IPCUSE = 1
      RETURN

  900 WRITE(6,700)
  700 FORMAT(/,' FILE ''MOPAC.PC'' EXISTS BUT IS EMPTY',/)
      STOP

  910 WRITE(6,710)
  710 FORMAT(/,' MORE THAN 10000 POINT CHARGES ARE NOT SUPPORTED',/)
      STOP

  920 WRITE(6,720)
  720 FORMAT(/,' INCOMPLETE POINT CHARGE INPUT',/)
      STOP

  930 WRITE(6,730)
  730 FORMAT(/,' INCONSISTENT CHARGE CORRECTION INPUT',/)
      STOP
     
      END
